#include "K37P02.h"

class AActor;
class ASearchable;
class ADBDPlayer;

float UK37P02::GetCooldownDurationAtLevel() const
{
	return 0.0f;
}

float UK37P02::GetChestAuraRevealRange() const
{
	return 0.0f;
}

float UK37P02::GetChestAuraRevealDuration() const
{
	return 0.0f;
}

void UK37P02::Authority_PlayerInRangeFromChestChanged(AActor* player, const bool isInRange, ASearchable* chest)
{

}

void UK37P02::Authority_OnCoolDownTimerDone()
{

}

void UK37P02::Authority_OnCloseChestInteractionFinished(ADBDPlayer* player, bool hasInteractionStarted)
{

}

void UK37P02::Authority_OnChestIsOpenedChanged(bool isOpened, ASearchable* chest)
{

}

UK37P02::UK37P02()
{
	this->_survivorRevealAuraStatusEffectClass = NULL;
	this->_enableKillerInteractionStatusEffectClass = NULL;
	this->_closeChestKillerInteraction = NULL;
	this->_cooldownDuration = 110.000000;
	this->_chestAuraRevealRange = 1300.000000;
	this->_chestAuraRevealDuration = 3.000000;
}
